I received this from reader Bones referencing the forcing of extensions to work in Beta versions of Firefox. Bones said:

Regarding the extensions not working, you can force them to work by using an extension called Nightly Tester Tools from here.

I installed the latest of Firefox 3 and had to use this tool to force them to be compatible

It does work. All you have to do is click on the Make All Compatible button in the Tools -Add On section after the installation completes. All of my extensions immediately functioned properly.

Give it a try for yourself.

Thanks, Bones!

Comments welcome.